Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAOC.cpp File Reference

`#include "TAOC.h"`
`#include "TAOC.i"`

Include dependency graph for TAOC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraintMode (CORBA::tk_alias, sizeof(_oc_TAO_BufferingConstraintMode),(char *)&_oc_TAO_BufferingConstraintMode, 0, sizeof(TAO::BufferingConstraintMode))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(TAO) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraint (CORBA::tk_struct, sizeof(_oc_TAO_BufferingConstraint),(char *)&_oc_TAO_BufferingConstraint, 0, sizeof(TAO::BufferingConstraint))
| TAO_NAMESPACE_TYPE (const CORBA::ULong) TAO_NAMESPACE_BEGIN(TAO) TAO_NAMESPACE_DEFINE(const CORBA
void | tao_TAO_BufferingConstraintPolicy_release (TAO::BufferingConstraintPolicy_ptr p)
TAO::BufferingConstraintPolicy_ptr | tao_TAO_BufferingConstraintPolicy_nil (void)
TAO::BufferingConstraintPolicy_ptr | tao_TAO_BufferingConstraintPolicy_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_TAO_BufferingConstraintPolicy_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_TAO_BufferingConstraintPolicy (CORBA::tk_objref, sizeof(_oc_TAO_BufferingConstraintPolicy),(char *)&_oc_TAO_BufferingConstraintPolicy, 0, sizeof(TAO::BufferingConstraintPolicy))
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraint *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::BufferingConstraint *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TAO::BufferingConstraint *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraintPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TAO::BufferingConstraintPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TAO::BufferingConstraintPolicy_ptr &_tao_elem)
## Variables
const CORBA::Long | _oc_TAO_BufferingConstraintMode []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraint | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_TAO_BufferingConstraint) | ,
|  | (char *)& | _oc_TAO_BufferingConstraint,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraint) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraintMode | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_TAO_BufferingConstraintMode) | ,
|  | (char *)& | _oc_TAO_BufferingConstraintMode,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraintMode) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_BufferingConstraintPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_TAO_BufferingConstraintPolicy) | ,
|  | (char *)& | _oc_TAO_BufferingConstraintPolicy,
|  | 0 | ,
|  | sizeof(TAO::BufferingConstraintPolicy) |
| ) | `[static]`

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint * | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraintPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TAO::BufferingConstraint *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TAO::BufferingConstraint *& | _tao_elem
| ) |

TAO_NAMESPACE_TYPE | ( | const CORBA::ULong |  | ) | const

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

TAO::BufferingConstraintPolicy_ptr tao_TAO_BufferingConstraintPolicy_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

TAO::BufferingConstraintPolicy_ptr tao_TAO_BufferingConstraintPolicy_nil | ( | void |  | ) |

void tao_TAO_BufferingConstraintPolicy_release | ( | TAO::BufferingConstraintPolicy_ptr | p | ) |

CORBA::Object* tao_TAO_BufferingConstraintPolicy_upcast | ( | void * | src | ) |

## Variable Documentation

const CORBA::Long _oc_TAO_BufferingConstraintMode[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      40,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x74616f2f),
      ACE_NTOHL (0x54414f2f),
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f64653a),
      ACE_NTOHL (0x312e3000),
      24,
      ACE_NTOHL (0x42756666),
      ACE_NTOHL (0x6572696e),
      ACE_NTOHL (0x67436f6e),
      ACE_NTOHL (0x73747261),
      ACE_NTOHL (0x696e744d),
      ACE_NTOHL (0x6f646500),
      CORBA::tk_ushort,

    }